Bug 1995570 (CVE-2021-3736)

Summary: CVE-2021-3736 kernel: uninitialized kernel stack may lead to information disclosure
Product: [Other] Security Response Reporter: Marian Rehak <mrehak>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: acaringi, adscvr, airlied, alciregi, bhu, blc, brdeoliv, bskeggs, carnil, chwhite, dhoward, dvlasenk, fhrbata, fpacheco, hdegoede, hkrzesin, jarod, jarodwilson, jburrell, jeremy, jforbes, jglisse, jlelli, jonathan, josef, jshortt, jstancek, jwboyer, kcarcia, kernel-maint, kernel-mgr, lgoncalv, linville, masami256, mchehab, mlangsdo, nmurray, ptalbert, qzhao, rkeshri, rvrbovsk, security-response-team, steved, swood, tuxmealux+redhatbz, vkumar, walters, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux kernel. A memory leak problem was found in mbochs_ioctl in samples/vfio-mdev/mbochs.c in Virtual Function I/O (VFIO) Mediated devices. This flaw could allow a local attacker to leak internal kernel information.
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-09-03 11:50:12 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 2019859    
Bug Blocks: 1986387    

Description Marian Rehak 2021-08-19 12:35:45 UTC
A memory leak problem was found in mbochs_ioctl in samples/vfio-mdev/mbochs.c in Virtual Function I/O (VFIO) Mediated devices.  This flaw could allow a local attacker to leak internal kernel information.

Comment 4 Rohit Keshri 2021-11-03 13:59:06 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 2019859]

Comment 5 Justin M. Forbes 2021-11-05 15:48:24 UTC
This was fixed for Fedora with the 5.14.6 stable kernel updates.

Comment 6 Gianluca Gabrielli 2021-11-09 11:00:41 UTC
Could you confirm if the fixing commit is de5494af4815a4c9328536c72741229b7de88e7f ?

Comment 7 Justin M. Forbes 2021-11-28 14:18:17 UTC
Yes, that is the correct commit from linus' tree.